﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Effects;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.button.Click += button_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 테스트 버튼 클릭시 처리하기 - button_Click(sender, e)

        /// <summary>
        /// 테스트 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void button_Click(object sender, RoutedEventArgs e)
        {
            Button button = sender as Button;

            DropShadowBitmapEffect effect = new DropShadowBitmapEffect();

            Color color = new Color();

            color.ScA = 1;
            color.ScB = 0;
            color.ScG = 0;
            color.ScR = 0;

            effect.Color       = color;
            effect.Direction   = 320;
            effect.ShadowDepth = 25;
            effect.Softness    = 1;
            effect.Opacity     = 0.5;

            button.BitmapEffect = effect;
        }

        #endregion
    }
}